From 01d44cc0565b498d52bd447ca6eae751ea074208 Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Fri, 21 Aug 2020 14:32:15 +0800
Subject: [PATCH] Add openssl libpng zlib libressl build shell script

---
 3rdparty/libzpng/build.sh    |   97 ++++++++++++++++++++++++
 3rdparty/libopenssl/build.sh |   88 ++++++++++++++++++++++
 2 files changed, 185 insertions(+), 0 deletions(-)

diff --git a/3rdparty/libopenssl/build.sh b/3rdparty/libopenssl/build.sh
new file mode 100755
index 0000000..83ff3ba
--- /dev/null
+++ b/3rdparty/libopenssl/build.sh
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile openssl for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2011.04.12
+#+--------------------------------------------------------------------------------------------
+
+PROJ_PATH=`pwd`
+PREFIX_PATH=`pwd`/../install
+
+LYFTP_SRC=ftp://master.iot-yun.club/src/
+
+CROSSTOOL=/opt/buildroot/cortex-a5/bin/arm-linux-
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+function compile_openssl()
+{
+    SRC_NAME=openssl-1.1.1d
+    PACK_SUFIX=tar.gz 
+
+    if [ -f ${PREFIX_PATH}/lib/libcrypto.a ] ; then 
+        return 0;
+    fi  
+    
+    msg_banner "Start cross compile $SRC_NAME " 
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then 
+        #wget https://www.openssl.org/source/${SRC_NAME}.${PACK_SUFIX} 
+        wget ${LYFTP_SRC}/${SRC_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi  
+
+    tar -xzf ${SRC_NAME}.${PACK_SUFIX}
+    cd ${SRC_NAME} 
+    
+    CROSS_COMPILE=${CROSSTOOL} ./Configure \
+     threads -shared -no-zlib --prefix=$PREFIX_PATH --openssldir=$PREFIX_PATH linux-armv4
+
+    make && make install 
+    check_result "ERROR: compile ${SRC_NAME} failure" 
+
+    cd - 
+} 
+
+compile_openssl
+
+
diff --git a/3rdparty/libzpng/build.sh b/3rdparty/libzpng/build.sh
new file mode 100755
index 0000000..3b38963
--- /dev/null
+++ b/3rdparty/libzpng/build.sh
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile libpng for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2011.04.12
+#+--------------------------------------------------------------------------------------------
+
+PRJ_PATH=`pwd`
+PREFIX_PATH=`pwd`/../install/
+
+LYFTP_SRC=ftp://master.iot-yun.club/src/
+
+CROSSTOOL=/opt/xtools/arm920t/bin/arm-linux-
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+
+function compile_png()
+{
+    SRC_NAME=libpng-1.6.37
+    PACK_SUFIX=tar.gz
+
+    if [ -f ${PREFIX_PATH}/lib/libpng.a ] ; then
+        msg_banner "$SRC_NAME already compile and installed"
+        return 0;
+    fi
+
+    msg_banner "Start cross compile $SRC_NAME "
+
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then
+        #wget https://nchc.dl.sourceforge.net/project/libpng/libpng16/1.6.37/${SRC_NAME}.${PACK_SUFIX}
+        wget ${LYFTP_SRC}/${SRC_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi
+
+    tar -xzf ${SRC_NAME}.${PACK_SUFIX}
+    cd ${SRC_NAME}
+
+    export CFLAGS=" -I${PREFIX_PATH}/include" 
+    export CPPFLAGS=" -I${PREFIX_PATH}/include" 
+    export LDFLAGS=" -L${PREFIX_PATH}/lib" 
+    ./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS} --enable-static  --enable-shared --enable-arm-neon 
+    check_result "ERROR: configure ${SRC_NAME} failure"
+
+    make && make install
+    check_result "ERROR: compile ${SRC_NAME} failure"
+
+    cd -
+}
+
+export_cross
+
+compile_png
+
+
+

--
Gitblit v1.9.1